Debian Bug report logs - #645377
kfreebsd-8: Buffer overflow in handling of UNIX socket addresses

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Michael Gilbert <michael.s.gilbert@gmail.com>

Date: Sat, 15 Oct 2011 04:06:01 UTC

Severity: serious

Found in version 8.1

Fixed in versions 9.0~svn225873-1, kfreebsd-8/8.2-9, kfreebsd-8/8.1+dfsg-8+squeeze2, kfreebsd-8/8.2-11

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645377; Package kfreebsd-8. (Sat, 15 Oct 2011 04:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 15 Oct 2011 04:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: submit@bugs.debian.org
Subject: kfreebsd-8: Buffer overflow in handling of UNIX socket addresses
Date: Sat, 15 Oct 2011 00:10:32 -0400
package: kfreebsd-8
version: 8.1
severity: serious
tag: security , patch

A buffer overflow issue in kfreebsd has been disclosed [0] along with a
poc [1]. patch is available [2].

I've only checked the kfreebsd-8 source, but the description says -7 is
affected, and 9- and higher may be as well; I haven't checked those.

Best wishes,
Mike

[0] http://www.securityfocus.com/archive/1/519864/30/0/threaded
[1] http://www.exploit-db.com/exploits/17908/
[2] http://security.freebsd.org/patches/SA-11:05/unix.patch




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 15 Oct 2011 11:30:05 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Sat, 15 Oct 2011 11:30:07 GMT) Full text and rfc822 format available.

Message #10 received at 645377-done@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 645377-done@bugs.debian.org
Subject: Re: Bug#645377: kfreebsd-8: Buffer overflow in handling of UNIX socket addresses
Date: Sat, 15 Oct 2011 13:26:56 +0200
Version: 9.0~svn225873-1

Fixed in kfreebsd-9.

2011/10/15 Michael Gilbert <michael.s.gilbert@gmail.com>:
> package: kfreebsd-8
> version: 8.1
> severity: serious
> tag: security , patch
>
> A buffer overflow issue in kfreebsd has been disclosed [0] along with a
> poc [1]. patch is available [2].
>
> I've only checked the kfreebsd-8 source, but the description says -7 is
> affected, and 9- and higher may be as well; I haven't checked those.
>
> Best wishes,
> Mike
>
> [0] http://www.securityfocus.com/archive/1/519864/30/0/threaded
> [1] http://www.exploit-db.com/exploits/17908/
> [2] http://security.freebsd.org/patches/SA-11:05/unix.patch
>
>
>
> --
> To UNSUBSCRIBE, email to debian-bsd-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20111015001032.019d32c30b117e74e4e4f5fa@gmail.com
>
>



-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 16 Oct 2011 10:06:10 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Sun, 16 Oct 2011 10:06:12 GMT) Full text and rfc822 format available.

Message #15 received at 645377-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 645377-close@bugs.debian.org
Subject: Bug#645377: fixed in kfreebsd-8 8.2-9
Date: Sun, 16 Oct 2011 10:03:55 +0000
Source: kfreebsd-8
Source-Version: 8.2-9

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-9.debian.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-9.debian.tar.gz
kfreebsd-8_8.2-9.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-9.dsc
kfreebsd-headers-8-amd64_8.2-9_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-9_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-9_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-9_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-9_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-9_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-9_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-9_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645377@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 16 Oct 2011 10:44:30 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-9
Distribution: unstable
Urgency: high
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 645377
Changes: 
 kfreebsd-8 (8.2-9) unstable; urgency=high
 .
   * 000_unix_socket_overflow.diff: Fix for FreeBSD-SA-11:05.unix.
     (Closes: #645377)
Checksums-Sha1: 
 a41a7be2a954d7694123021323668efb1ea5a6de 3411 kfreebsd-8_8.2-9.dsc
 7fa24fe8c1efbbe615bc34fef344649c9e91a8ff 98154 kfreebsd-8_8.2-9.debian.tar.gz
 6a0ef14b769077f6c797af6df8661da587a50ec7 18737726 kfreebsd-source-8.2_8.2-9_all.deb
 b29d531f2e2071f3c6229d8e424825045d113b7b 7316138 kfreebsd-headers-8.2-1_8.2-9_kfreebsd-amd64.deb
 55f47ac68da63ae0cc11f456b6fa21425358ca42 13959250 kfreebsd-image-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
 f5f1a6362650567db4d658550582a0e58ea0aab0 48916 kfreebsd-image-8-amd64_8.2-9_kfreebsd-amd64.deb
 854cdcd114e1862e0d1424e261afffe86e3e7b74 327674 kfreebsd-headers-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
 ecae6c142de9828a795216545ec8d1b19d49a6dc 48800 kfreebsd-headers-8-amd64_8.2-9_kfreebsd-amd64.deb
Checksums-Sha256: 
 ca97d0469d2ff2cfda5c82d3dbf0e5edc0556c61ae2b2b8bf3dbb8204a1090d8 3411 kfreebsd-8_8.2-9.dsc
 3012eec4fe0bc93d9a4ae0aa42f86c904de37355815876e07c72d69c3bc0bf5b 98154 kfreebsd-8_8.2-9.debian.tar.gz
 bcce287553c28a1be0f6eb8a7f2cf0f8dfaa0847b983724717ac699bbc3fc096 18737726 kfreebsd-source-8.2_8.2-9_all.deb
 df0cb1d8dbb490299e5b262d883c67138c8349b37d6f6f5f0fc630e1ef2da251 7316138 kfreebsd-headers-8.2-1_8.2-9_kfreebsd-amd64.deb
 4e62ccbb06f890f12edc5e09902a35cd6771154ce01a9b32add5aed1d332ac67 13959250 kfreebsd-image-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
 d390e41d0f5172dba6b3eaa0ed7d23b32772754e55c099f22ade987ce2e013f5 48916 kfreebsd-image-8-amd64_8.2-9_kfreebsd-amd64.deb
 2d8f82c66dcbe9fc1bf2b1c42a926bff534e06209c82dbb1bca3b7a1aa632b7a 327674 kfreebsd-headers-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
 a42a7c66c978517b1a1da388a1766e36ec26a43c14752e0c10162d1ef83a8e01 48800 kfreebsd-headers-8-amd64_8.2-9_kfreebsd-amd64.deb
Files: 
 e66af642cafe3c70b4afaa94d2cda474 3411 kernel optional kfreebsd-8_8.2-9.dsc
 9d370c25eb56bd9c4077f8ef37f5a210 98154 kernel optional kfreebsd-8_8.2-9.debian.tar.gz
 f3b9116645a1f5c9815feff3be1c2309 18737726 kernel optional kfreebsd-source-8.2_8.2-9_all.deb
 56a9e34f87cd688d5fba970886866512 7316138 kernel optional kfreebsd-headers-8.2-1_8.2-9_kfreebsd-amd64.deb
 67f71e18bd1636087e7f8743b185ee79 13959250 kernel optional kfreebsd-image-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
 9ac928b874a465f5660835590e21f00b 48916 kernel optional kfreebsd-image-8-amd64_8.2-9_kfreebsd-amd64.deb
 13e0ab0b73187507e1fc5c5ac1803fe6 327674 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-9_kfreebsd-amd64.deb
 7feedf6205bd5d62f79d9d1fe6971ddf 48800 kernel optional kfreebsd-headers-8-amd64_8.2-9_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6apQ0ACgkQC19io6rUCv84OACbB4pIx5bGdjlduhughhDjmQwG
unIAn1w7JcuY9VD62rG8w/P0NpzOcx5/
=MCKp
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 24 Oct 2011 01:57:04 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Mon, 24 Oct 2011 01:57:04 GMT) Full text and rfc822 format available.

Message #20 received at 645377-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 645377-close@bugs.debian.org
Subject: Bug#645377: fixed in kfreebsd-8 8.1+dfsg-8+squeeze2
Date: Mon, 24 Oct 2011 01:52:46 +0000
Source: kfreebsd-8
Source-Version: 8.1+dfsg-8+squeeze2

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.1+dfsg-8+squeeze2.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-8+squeeze2.diff.gz
kfreebsd-8_8.1+dfsg-8+squeeze2.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-8+squeeze2.dsc
kfreebsd-headers-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
kfreebsd-image-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
kfreebsd-source-8.1_8.1+dfsg-8+squeeze2_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.1_8.1+dfsg-8+squeeze2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645377@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 Oct 2011 00:08:38 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.1 kfreebsd-headers-8.1-1 kfreebsd-image-8.1-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.1-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.1-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.1-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.1-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.1-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.1-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.1-1-686-smp kfreebsd-headers-8-686-smp
Architecture: source all kfreebsd-amd64
Version: 8.1+dfsg-8+squeeze2
Distribution: stable-security
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1-486 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686-smp - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-amd64 - header files for kernel of FreeBSD 8.1
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8.1-1-486 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686-smp - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-amd64 - kernel of FreeBSD 8.1 image
 kfreebsd-source-8.1 - source code for kernel of FreeBSD 8.1 with Debian patches
Closes: 645377
Changes: 
 kfreebsd-8 (8.1+dfsg-8+squeeze2) stable-security; urgency=low
 .
   * Add 000_unix_socket_overflow.diff and 918_unix_socket_overflow.diff:
     Fix for FreeBSD-SA-11:05.unix / CVE-2011-4062.  (Closes: #645377)
Checksums-Sha1: 
 b6844ddbe99f6628a64345e4a376875d6c2e1c8f 1934 kfreebsd-8_8.1+dfsg-8+squeeze2.dsc
 f42e1b26ce8cc24dbe529ad33f4077e73dd1c408 26095080 kfreebsd-8_8.1+dfsg.orig.tar.gz
 8553ca29eeb57e79cb8774dc50835a7c6ae1359d 98061 kfreebsd-8_8.1+dfsg-8+squeeze2.diff.gz
 5aa1c92efe95362d3ffd17467edf72e60c045c02 17482118 kfreebsd-source-8.1_8.1+dfsg-8+squeeze2_all.deb
 5eafc8bb6fcc143710e8daa54f2c39fd6ca4f782 6577218 kfreebsd-headers-8.1-1_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 961d5542887f5d1f1d4396e2912d05483f14b362 13400164 kfreebsd-image-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 d9061a0269f1d23ab0dd5bbaeefc4aa1df78d57a 47900 kfreebsd-image-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 919d12d9ab023b0371b75c1bff720f51f6a358cd 312858 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 11414d5d19104f94f2bdd66a0a8c8c13c09cd66d 47906 kfreebsd-headers-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
Checksums-Sha256: 
 f847fc6655bd6013904b7930ca7a02413f5721ec3883d7d9f4b16a2264731e98 1934 kfreebsd-8_8.1+dfsg-8+squeeze2.dsc
 1871be8b002ce221625009b334ad220f97b244bb67f65a9b79c77f09c3061dc6 26095080 kfreebsd-8_8.1+dfsg.orig.tar.gz
 28da84f3980b82b63d147227619362012d1953e1ab438ea58a271aecf72f882b 98061 kfreebsd-8_8.1+dfsg-8+squeeze2.diff.gz
 ec6759fa51ff02c2f0468679e5dace2123588244421b1a574b628b52efa5b724 17482118 kfreebsd-source-8.1_8.1+dfsg-8+squeeze2_all.deb
 70d3a34321280c40a39fbdad92808f9f157a315875b04365616701f67b291659 6577218 kfreebsd-headers-8.1-1_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 90cd142ffb4e2e520b62d0e3ece9011606bf2e66f5c050bc03d332ae28ed2df5 13400164 kfreebsd-image-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 b4d74a01dc4b3fef96dd609da9c5fbc0b07db33188849eb2762a22e099d331c3 47900 kfreebsd-image-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 9c14aa08826a2a3cbbb348a3c5f46f38f25b03a6637f07c35cf55991c5bc6601 312858 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 5f197371f38bad14134c447f8fa5fc0ae6f03782a08d9ec6c2f834541f5004db 47906 kfreebsd-headers-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
Files: 
 8d631ef928b2a50353962368f091cd44 1934 kernel optional kfreebsd-8_8.1+dfsg-8+squeeze2.dsc
 d63d117822899c7a16b9d0d4522c6fc9 26095080 kernel optional kfreebsd-8_8.1+dfsg.orig.tar.gz
 f534372b301076b0dec03c93a039a38d 98061 kernel optional kfreebsd-8_8.1+dfsg-8+squeeze2.diff.gz
 a109bda96bae0b961f43212b9b9cedfe 17482118 kernel optional kfreebsd-source-8.1_8.1+dfsg-8+squeeze2_all.deb
 f4c5b5479a0fb7ec2391069277218cf1 6577218 kernel optional kfreebsd-headers-8.1-1_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 a1e9aa640e3612844aaa4d73bac3021e 13400164 kernel optional kfreebsd-image-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 558041013b23791bba220ca4a9399472 47900 kernel optional kfreebsd-image-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 c9a84254e29439a6e68d46573a6bb1c2 312858 kernel optional kfreebsd-headers-8.1-1-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb
 3125e56b8ca2d4c14f87fc1781b184c1 47906 kernel optional kfreebsd-headers-8-amd64_8.1+dfsg-8+squeeze2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOoaq6w3ao2vG823MRArCSAJ9SDIJDyOK/SKijWNLohzzg2Nl6rwCffDGX
E4/+/kIlGL5nrHc6rAXEfy4=
=Vezx
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Thu, 27 Oct 2011 23:33:14 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Thu, 27 Oct 2011 23:33:14 GMT) Full text and rfc822 format available.

Message #25 received at 645377-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 645377-close@bugs.debian.org
Subject: Bug#645377: fixed in kfreebsd-8 8.2-11
Date: Thu, 27 Oct 2011 23:18:57 +0000
Source: kfreebsd-8
Source-Version: 8.2-11

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-11.debian.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-11.debian.tar.gz
kfreebsd-8_8.2-11.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-11.dsc
kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-11_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645377@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 Oct 2011 21:49:27 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-11
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 644417 645377
Changes: 
 kfreebsd-8 (8.2-11) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Update 000_unix_socket_overflow.diff from the second security advisory,
     fixing the same issue on the Linux compatibility layer. Closes: #645377.
 .
   [ Robert Millan ]
   * Fix panic on early boot.  (Closes: #644417)
     - Switch back to GCC 4.4.
     - Turn optimization down to -O1 (901_disable_optimization_2.diff).
   * Remove 907_cpu_class.diff (it breaks FreeBSD userland when running
     in a chroot on Debian kernel).
Checksums-Sha1: 
 524db93be0edb23d0b9f5f4543957a65e1e6dbc9 3415 kfreebsd-8_8.2-11.dsc
 608cb7f6b9ae27c68804fe153ff4af49cbc5757c 98716 kfreebsd-8_8.2-11.debian.tar.gz
 8086feb2c0f0909e318a0c0754a61c9303ba3968 18703928 kfreebsd-source-8.2_8.2-11_all.deb
 9cc119dde40a2e3014a816cdadc9e26df6503a20 7335288 kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
 c8c2fd292898a16e0f33d9185422d2b6df8bd0fc 12639854 kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 be6f22e5aa05944c1a8fe654e49855fb45879841 49196 kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
 37fbb4e672d79c44ae432627641c60be498d5db0 327966 kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 bef0f5c82e906807df41ccb62077a6f1cab8d119 49030 kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb
Checksums-Sha256: 
 841b530a4cd4fc75d86ce627f952cbb6f909ac24ebca004b9eaf625d6b843bd2 3415 kfreebsd-8_8.2-11.dsc
 27615ea70504d0d6e31b5ba8453f490e749dda6bb8c676482fd0130c97f69c4c 98716 kfreebsd-8_8.2-11.debian.tar.gz
 8277e3e73a521d18b08139a991eab3c0444bff95a59b5a64560fa62dfb67f0ae 18703928 kfreebsd-source-8.2_8.2-11_all.deb
 29e89f49bbdf122d06616d5606ace66dd89eaa198a1f4473a2d5c0476237b621 7335288 kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
 1f0df236f25ff266ecda0539b8b540e2c388594992477a296da2bf842b5ba7d1 12639854 kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 e0dcc2baa16218a303695aed8aebf29b023c2035784ad41796f9d7ad74e18d84 49196 kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
 ba0132d5ca19eefbcddfea24d3b528a42602f6bc39c6767123b24de095130203 327966 kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 0d38c0037c78dfa0663ecbc48d08492ffc5caffb4b2428fac44af56dd99f349d 49030 kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb
Files: 
 524b13210e280172ef193aa2125ef4be 3415 kernel optional kfreebsd-8_8.2-11.dsc
 77f7f50179255909de364ddb5e4a3717 98716 kernel optional kfreebsd-8_8.2-11.debian.tar.gz
 05488777f947f297d38c64cabbb4e684 18703928 kernel optional kfreebsd-source-8.2_8.2-11_all.deb
 e32dbaa1f2a6b0344c2a6ca741bd7bc2 7335288 kernel optional kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
 3b99f9b80601836633edcd115e9b032c 12639854 kernel optional kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 757964d310910acc8cd4d326026b41b9 49196 kernel optional kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
 97ed7977ac13fcc712b45fed3c9883cd 327966 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 990eae0f852fa5f9deb2155a26997fe8 49030 kernel optional kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6p2o0ACgkQC19io6rUCv/P4QCgi7o3X6Nv5q6KyDDqGJGlrxz/
qcMAn2wC9diB0t1Z1U0w43UDLKKsysKD
=eOWY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Nov 2011 07:39:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:46:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.